summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'dev-perl/Curses/Curses-1.320.0.ebuild')
-rw-r--r--dev-perl/Curses/Curses-1.320.0.ebuild12
1 files changed, 8 insertions, 4 deletions
diff --git a/dev-perl/Curses/Curses-1.320.0.ebuild b/dev-perl/Curses/Curses-1.320.0.ebuild
index 9b6ff027d42..7e85c677c5b 100644
--- a/dev-perl/Curses/Curses-1.320.0.ebuild
+++ b/dev-perl/Curses/Curses-1.320.0.ebuild
@@ -20,16 +20,20 @@ RDEPEND="${DEPEND}"
SRC_TEST="do"
-my_curses_version() {
+my_curses_unicode() {
echo ncurses$(use unicode && echo w)
}
+my_curses_version() {
+ echo ncurses$(use unicode && echo w)$(has_version '>sys-libs/ncurses-6' && echo 6 || echo 5)
+}
+
pkg_setup() {
myconf="${myconf} FORMS PANELS MENUS"
mydoc=HISTORY
- export CURSES_LIBTYPE=$(my_curses_version)
- export CURSES_LDFLAGS=$($(my_curses_version)5-config --libs)
- export CURSES_CFLAGS=$( $(my_curses_version)5-config --cflags)
+ export CURSES_LIBTYPE=$(my_curses_unicode)
+ export CURSES_LDFLAGS=$($(my_curses_version)-config --libs)
+ export CURSES_CFLAGS=$( $(my_curses_version)-config --cflags)
}
src_configure(){